import { Montserrat } from "next/font/google";
import "./globals.scss";
import Navbar from "@/Widgets/general/Navbar/Navbar";
import Footer from "@/Widgets/general/Footer/Footer";

const montserrat = Montserrat({ subsets: ["latin"] });

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang="en">
      <body className={montserrat.className}>
        <Navbar />
        {children}
        <Footer />
      </body>
    </html>
  );
}
