import "./Header.scss";
import Image from "next/image";
import background from "./assets/background.jpg";
import arrow_icon from "./icons/arrow-right-icon.svg";
import Link from "next/link";

const Header = () => {
  return (
    <header className="header">
      <Image
        className="header__background"
        src={background}
        alt="Background Image"
      />

      <div className="header__text">
        <h1>
          Borem ipsum dolor sit amet, consectetur adipiscing elit.
        </h1>
        <p>
          Borem ipsum dolor sit amet, consectetur adipiscing elit.
        </p>
      </div>

      <Link href="/send-report" className="header__report">
        Отметить разбитую дорогу
        <Image src={arrow_icon} alt="Arrow Right Icon" />
      </Link>
    </header>
  );
};

export default Header;
