import Image from "next/image";
import "./MapSection.scss";
import search_icon from "./icons/search-icon.svg";
import Switch from "@/Entities/Switch/Switch";
import map_image from "./assets/map.jpg";
import SectionHeader from "@/Shared/UI/SectionHeader/SectionHeader";
import SearchBar from "@/Features/SearchBar/SearchBar";

const MapSection = () => {
  return (
    <div className="map-section">
      <SectionHeader description="Yorem ipsum dolor sit amet, consectetur adipiscing elit.">
        Карта дорог
      </SectionHeader>

      <SearchBar placeholder="Введите город, село или регион" />

      <div className="map-section__filters">
        <div className="map-section__switch">
          <Switch color="#E64452" />
          <h4>Разбитая дорога</h4>
        </div>
        <div className="map-section__switch">
          <Switch color="#FFAC33" />
          <h4>В планах ремонта</h4>
        </div>
        <div className="map-section__switch">
          <Switch color="#C288E2" />
          <h4>Очаг аварийности</h4>
        </div>
        <div className="map-section__switch">
          <Switch color="#FED363" />
          <h4>Локальный дефект исправлен</h4>
        </div>
        <div className="map-section__switch">
          <Switch color="#87289D" />
          <h4>Локальный дефект</h4>
        </div>
        <div className="map-section__switch">
          <Switch color="#8FDE6A" />
          <h4>Отремонтировано</h4>
        </div>
      </div>

      <Image
        className="map-section__map"
        src={map_image}
        alt="Map Image"
      />
    </div>
  );
};

export default MapSection;
