import "./NewsSection.scss";
import Image from "next/image";
import SectionHeader from "@/Shared/UI/SectionHeader/SectionHeader";
import image from "./assets/image.jpg";
import arrow_icon from "./icons/arrow-right-icon.svg";
import Link from "next/link";

const NewsSection = () => {
  return (
    <div className="news-section">
      <SectionHeader>Новости</SectionHeader>

      <ul className="news-section__list">
        {[0, 1, 2, 3].map((card) => (
          <li key={card} className="news-card">
            <Image src={image} alt="Card Image" />

            <div className="news-card__text">
              <h5 className="news-card__date">23/09/2023</h5>
              <h4>
                Short title of the card describing the main content
              </h4>
              <p>
                Short paragraph description of the article, outlining
                main story and focus.
              </p>
            </div>

            <button className="news-card__more-btn">Подробнее</button>
          </li>
        ))}
      </ul>
      <Link href="/news" className="news-section__read-more-btn">
        Читать
        <Image src={arrow_icon} alt="Arrow Right Icon" />
      </Link>
    </div>
  );
};

export default NewsSection;
